package com.starbuds.server.service.demo.impl;

import com.starbuds.server.common.demo.VerifyDemoService;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

/**
 * @author gy
 * @className VerifyDemoServiceImpl
 * @description
 * @date 2023/6/25
 * @DubboService是新版Dubbo的注解，如果是旧版比如2.7.3，使用的是org.apache.dubbo.config.annotation.Service这个注解
 */
@Slf4j
@Service(version = "1.0.0")
public class VerifyDemoServiceImpl implements VerifyDemoService {

    /**
     * 验证码用户名密码是否匹配
     *
     * @param userName 用户名
     * @param password 密码
     * @return
     */
    @Override
    public boolean verifyPassword(String userName, String password) {
        if (check(userName, password)) {
            return true;
        }

        // try {
        //     if (check(userName, password)) {
        //         return true;
        //     }
        // } catch (Exception e) {
        //     // log.info("123");
        //     throw new RuntimeException("账号密码处理错误="+e.toString());
        // }
        // finally {
        //     log.info("456");
        // }a
        return false;
    }

    public boolean check(String userName, String password) {
        // try {
        // if (userName.length()>1){
        //     throw new RuntimeException("主播正在 PK 中");
        // }

        // }catch (Exception e){
        //     log.info("789=",e);
        // }

        if(!password.equals("123")){
            throw new RuntimeException("密码错误，请检查");
        }

        return true;
    }
}
