package com.starbuds.server.service.demo._rocketmqons;

import com.aliyun.openservices.ons.api.Action;
import com.aliyun.openservices.ons.api.ConsumeContext;
import com.aliyun.openservices.ons.api.Message;
import com.aliyun.openservices.ons.api.MessageListener;

import java.util.Date;

/**
 * @author gy
 * @className MyMessageListener
 * @description
 * @date 2023/6/24
 */
public class MyMessageListener implements MessageListener {
    @Override
    public Action consume(Message message, ConsumeContext consumeContext) {
        System.out.println("Receive @" + new Date() + ": " + message);
        //此处可以写具体业务逻辑，body是具体发送的内容
        String body = new String(message.getBody());
        System.out.println("消费者MyMessageConsumer msgBody is : " + body);
        return Action.CommitMessage;
    }
}
